

# DescribeBillingGroup


Returns information about a billing group.

Requires permission to access the [DescribeBillingGroup](https://docs.amazonaws.cn/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax


```
GET /billing-groups/billingGroupName HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [billingGroupName](#API_DescribeBillingGroup_RequestSyntax) **   <a name="iot-DescribeBillingGroup-request-uri-billingGroupName"></a>
The name of the billing group.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9:_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "billingGroupArn": "string",
   "billingGroupId": "string",
   "billingGroupMetadata": { 
      "creationDate": number
   },
   "billingGroupName": "string",
   "billingGroupProperties": { 
      "billingGroupDescription": "string"
   },
   "version": number
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [billingGroupArn](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-billingGroupArn"></a>
The ARN of the billing group.  
Type: String

 ** [billingGroupId](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-billingGroupId"></a>
The ID of the billing group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9\-]+` 

 ** [billingGroupMetadata](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-billingGroupMetadata"></a>
Additional information about the billing group.  
Type: [BillingGroupMetadata](API_BillingGroupMetadata.md) object

 ** [billingGroupName](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-billingGroupName"></a>
The name of the billing group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9:_-]+` 

 ** [billingGroupProperties](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-billingGroupProperties"></a>
The properties of the billing group.  
Type: [BillingGroupProperties](API_BillingGroupProperties.md) object

 ** [version](#API_DescribeBillingGroup_ResponseSyntax) **   <a name="iot-DescribeBillingGroup-response-version"></a>
The version of the billing group.  
Type: Long

## Errors


 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iot-2015-05-28/DescribeBillingGroup) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iot-2015-05-28/DescribeBillingGroup) 